Subject: Execute permission not set when creating files
From: "John Cooper" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 28 Oct 2008 21:55:08 -0000
List-Id: <cygwin.cygwin.com>

I've just upgraded to the latest version of Cygwin (1.5.25-15) and found
that the execute bit is not getting set when I create files:

$ umask 'u=rwx,g=r,o=r'
$ touch a
$ ls -l a
-rw-r--r-- 1 John None 0 Oct 28 21:42 a

(the execute permission also doesn't get set when I use the default umask
0022).

The resulting problem is that any files I create cannot be accessed when I
log in using my wife's login account.
Such files used to be accessible from my wife's account when I used an
earlier version of Cygwin (probably from around 1-2 years ago). 

Any ideas how to fix this?  I've attached the output of `cygcheck -s -v' in
case that helps.

Thanks,

John.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/